Package org.eclipse.emf.compare.provider

# Interface ISemanticObjectLabelProvider

All Known Implementing Classes:
  `AttributeChangeItemProviderSpec`, `ExtendedAdapterFactoryItemDelegator`, `FeatureMapChangeItemProviderSpec`, `MatchItemProviderSpec`, `ReferenceChangeItemProviderSpec`, `ResourceAttachmentChangeItemProviderSpec`, `ResourceLocationChangeItemProviderSpec`

public interface ISemanticObjectLabelProvider
Provider of labels for semantic objects.

Since:
  4.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getSemanticObjectLabel(Object object)`
Returns the label for the given object.

## Method Details

### getSemanticObjectLabel

String getSemanticObjectLabel(Object object)
Returns the label for the given object.

Parameters:
  `object` - The object to evaluate the label for
Returns:
  the label